//
// C++ Interface: %{MODULE}
//
// Description:
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef IMPORTPROFILEDIALOG_H
#define IMPORTPROFILEDIALOG_H

#include <kdialogbase.h>
#include "importprofiledialogbase.h"
#include "vpnaccountdata.h"

/**
@author Christoph Thielecke
*/
class ImportProfileDialog : public KDialogBase
{
Q_OBJECT
public:
	ImportProfileDialog( QWidget *parent, const QString& caption);
	~ImportProfileDialog();
	
	void canAccept();
	QString downloadDecPasswd(QString enc);
	bool decodeEncPasswd;
	QString filename;
	bool importOk;
	VpnAccountData *acc;
	ImportProfileDialogBase *main;
	
public slots:
	void accept();	
	
};

#endif
